import request from "@/request"
import config from "@/config"

// 获取视频分类列表
export const getServerShipCategoryList = (data) => {
    return request.post({
        url: '/api/ship/serverShipVideo/getServerShipCategoryList',
        data:data
    })
}

// 获取视频节目分页
export const getServerShipProgramPage = (data) => {
    return request.post({
        url: '/api/ship/serverShipVideo/getServerShipProgramPage',
        data:data
    })
}

// 查看视频列表
export const getServerShipVideoList = (shipProgramId) => {
    return request.post({
        url: `/api/ship/serverShipVideo/getServerShipVideoList/${shipProgramId}`,
    })
}

// 获取视频url
export const getServerShipVideoUrl = (serverShipVideoId) => {
    return request.post({
        url: `/api/ship/serverShipVideo/getServerShipVideoUrl/${serverShipVideoId}`,
    })
}

// 观看同步
export const syncWatchHistory = (data) => {
    return request.post({
        url: `/api/ship/serverShipVideo/syncWatchHistory`,
        data: data
    })
}